Name:    kdebugsettings
Summary: Configure debug output from Qt5 applications
Version: 23.08.4
Release:    1%{?dist}

License: LGPLv2+
URL:     https://www.kde.org/applications/utilities/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils

BuildRequires:  qt5-qtbase-devel

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kguiaddons-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kitemviews-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-kio-devel

Conflicts: kde-l10n < 17.03

%description
An application to enable/disable qCDebug


%prep
%autosetup


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.kdebugsettings.desktop


%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/kdebugsettings
%{_kf5_datadir}/applications/org.kde.kdebugsettings.desktop
%{_kf5_datadir}/kdebugsettings/
%{_kf5_metainfodir}/org.kde.kdebugsettings.*.xml
%{_kf5_datadir}/qlogging-categories5/kde*
%{_kf5_libdir}/libkdebugsettings.so.*
%{_kf5_libdir}/libkdebugsettingscore.so.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
